This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 630277 - Review Request: ghc-control-monad-attempt - Monad transformer for attempt
Review Request: ghc-control-monad-attempt - Monad transformer for attempt
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
no longer needed by yesod-auth
:
Depends On: 630224
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-04 11:49 EDT by Ben Boeckel
Modified: 2012-06-19 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 22:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 11:49:28 EDT
Spec URL: http://benboeckel.net/packaging/ghc-control-monad-attempt/ghc-control-monad-attempt.spec
SRPM URL: http://benboeckel.net/packaging/ghc-control-monad-attempt/ghc-control-monad-attempt-0.3.0-1.fc14.src.rpm
Description:
Monad transformer for attempt.

% lintmock fedora-14-x86_64-bb
ghc-control-monad-attempt.src: W: strange-permission control-monad-attempt-0.3.0.tar.gz 0640L
ghc-control-monad-attempt.src: W: strange-permission ghc-control-monad-attempt.spec 0640L
ghc-control-monad-attempt-prof.x86_64: E: devel-dependency ghc-control-monad-attempt-devel
ghc-control-monad-attempt-prof.x86_64: W: no-documentation
ghc-control-monad-attempt-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/control-monad-attempt-0.3.0/libHScontrol-monad-attempt-0.3.0_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:15 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Jens Petersen 2011-10-24 21:42:45 EDT
Needed by yesod-auth
Comment 3 Ben Boeckel 2012-03-02 22:26:15 EST
Spec URL: http://benboeckel.net/packaging/ghc-control-monad-attempt/ghc-control-monad-attempt.spec
SRPM URL: http://benboeckel.net/packaging/ghc-control-monad-attempt/ghc-control-monad-attempt-0.3.0.1-1.fc18.src.rpm

ghc-control-monad-attempt.src: W: strange-permission control-monad-attempt-0.3.0.1.tar.gz 0640L
ghc-control-monad-attempt.src: W: strange-permission ghc-control-monad-attempt.spec 0640L
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 4 Jens Petersen 2012-04-16 06:01:53 EDT
No longer needed by yesod-auth > 0.8.

I suggest we could close this?
Comment 5 Ben Boeckel 2012-06-19 22:14:01 EDT
It appears to be an orphan here based on the deptree I've made. Closing.

Note You need to log in before you can comment on or make changes to this bug.